package de.humance.eco.profile.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

/**
 * The base model interface for the QualificationAttributeDefinitionResource service. Represents a row in the &quot;Profile_QualificationAttributeDefinitionResource&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link de.humance.eco.profile.model.impl.QualificationAttributeDefinitionResourceModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link de.humance.eco.profile.model.impl.QualificationAttributeDefinitionResourceImpl}.
 * </p>
 *
 * @author Humance
 * @see QualificationAttributeDefinitionResource
 * @see de.humance.eco.profile.model.impl.QualificationAttributeDefinitionResourceImpl
 * @see de.humance.eco.profile.model.impl.QualificationAttributeDefinitionResourceModelImpl
 * @generated
 */
public interface QualificationAttributeDefinitionResourceModel extends BaseModel<QualificationAttributeDefinitionResource> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. All methods that expect a qualification attribute definition resource model instance should use the {@link QualificationAttributeDefinitionResource} interface instead.
     */

    /**
     * Returns the primary key of this qualification attribute definition resource.
     *
     * @return the primary key of this qualification attribute definition resource
     */
    public long getPrimaryKey();

    /**
     * Sets the primary key of this qualification attribute definition resource.
     *
     * @param primaryKey the primary key of this qualification attribute definition resource
     */
    public void setPrimaryKey(long primaryKey);

    /**
     * Returns the qualification attribute definition resource ID of this qualification attribute definition resource.
     *
     * @return the qualification attribute definition resource ID of this qualification attribute definition resource
     */
    public long getQualificationAttributeDefinitionResourceId();

    /**
     * Sets the qualification attribute definition resource ID of this qualification attribute definition resource.
     *
     * @param qualificationAttributeDefinitionResourceId the qualification attribute definition resource ID of this qualification attribute definition resource
     */
    public void setQualificationAttributeDefinitionResourceId(
        long qualificationAttributeDefinitionResourceId);

    /**
     * Returns the qualification attribute definition ID of this qualification attribute definition resource.
     *
     * @return the qualification attribute definition ID of this qualification attribute definition resource
     */
    public long getQualificationAttributeDefinitionId();

    /**
     * Sets the qualification attribute definition ID of this qualification attribute definition resource.
     *
     * @param qualificationAttributeDefinitionId the qualification attribute definition ID of this qualification attribute definition resource
     */
    public void setQualificationAttributeDefinitionId(
        long qualificationAttributeDefinitionId);

    /**
     * Returns the country of this qualification attribute definition resource.
     *
     * @return the country of this qualification attribute definition resource
     */
    @AutoEscape
    public String getCountry();

    /**
     * Sets the country of this qualification attribute definition resource.
     *
     * @param country the country of this qualification attribute definition resource
     */
    public void setCountry(String country);

    /**
     * Returns the language of this qualification attribute definition resource.
     *
     * @return the language of this qualification attribute definition resource
     */
    @AutoEscape
    public String getLanguage();

    /**
     * Sets the language of this qualification attribute definition resource.
     *
     * @param language the language of this qualification attribute definition resource
     */
    public void setLanguage(String language);

    /**
     * Returns the title of this qualification attribute definition resource.
     *
     * @return the title of this qualification attribute definition resource
     */
    @AutoEscape
    public String getTitle();

    /**
     * Sets the title of this qualification attribute definition resource.
     *
     * @param title the title of this qualification attribute definition resource
     */
    public void setTitle(String title);

    /**
     * Returns the unit of this qualification attribute definition resource.
     *
     * @return the unit of this qualification attribute definition resource
     */
    @AutoEscape
    public String getUnit();

    /**
     * Sets the unit of this qualification attribute definition resource.
     *
     * @param unit the unit of this qualification attribute definition resource
     */
    public void setUnit(String unit);

    @Override
    public boolean isNew();

    @Override
    public void setNew(boolean n);

    @Override
    public boolean isCachedModel();

    @Override
    public void setCachedModel(boolean cachedModel);

    @Override
    public boolean isEscapedModel();

    @Override
    public Serializable getPrimaryKeyObj();

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj);

    @Override
    public ExpandoBridge getExpandoBridge();

    @Override
    public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

    @Override
    public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext);

    @Override
    public Object clone();

    @Override
    public int compareTo(
        QualificationAttributeDefinitionResource qualificationAttributeDefinitionResource);

    @Override
    public int hashCode();

    @Override
    public CacheModel<QualificationAttributeDefinitionResource> toCacheModel();

    @Override
    public QualificationAttributeDefinitionResource toEscapedModel();

    @Override
    public QualificationAttributeDefinitionResource toUnescapedModel();

    @Override
    public String toString();

    @Override
    public String toXmlString();
}
